complexType "UnderlyingAsset"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 5 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 11 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | instrumentId*, currency?, exchangeId?, clearanceSystem?, definition?
</...>

Content Model Elements (5):

  clearanceSystem (defined in UnderlyingAsset complexType), currency (defined in UnderlyingAsset complexType), definition (defined in UnderlyingAsset complexType), | exchangeId (defined in UnderlyingAsset complexType), instrumentId (defined in IdentifiedAsset complexType)

Known Direct Subtypes (11):

  Bond, Deposit, ExchangeTraded, FxRateAsset, Loan, Mortgage, MutualFund, RateIndex, SimpleCreditDefaultSwap, SimpleFra, SimpleIRSwap

Known Indirect Subtypes (8):

  ConvertibleBond, EquityAsset, ExchangeTradedCalculatedPrice, ExchangeTradedContract, ExchangeTradedFund, ExchangeTradedOption, Future, Index

All Direct / Indirect Based Elements (19):

  bond, convertibleBond, deposit, equity, exchangeTradedContractNearest (in rateOfReturn), exchangeTradedContractNearest (in variance), exchangeTradedFund, future, fx, index, | loan, mortgage, mutualFund, option, rateIndex, simpleCreditDefaultSwap, simpleFra, simpleIrSwap, underlyingEquity

Known Usage Locations

- In derivations of other global types (11):

  Bond (as extension base), Deposit (as extension base), ExchangeTraded (as extension base), FxRateAsset (as extension base), Loan (as extension base), Mortgage (as extension base), | MutualFund (as extension base), RateIndex (as extension base), SimpleCreditDefaultSwap (as extension base), SimpleFra (as extension base), SimpleIRSwap (as extension base)

Annotation
Abstract base class for all underlying assets.
Type Definition Detail

Type Derivation Tree Asset (extension) IdentifiedAsset (extension) UnderlyingAsset

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType abstract="true" name="UnderlyingAsset"> <xsd:complexContent> <xsd:extension base="IdentifiedAsset"> <xsd:sequence> <xsd:element minOccurs="0" name="currency" type="IdentifiedCurrency"/> <xsd:element minOccurs="0" name="exchangeId" type="ExchangeId"/> <xsd:element minOccurs="0" name="clearanceSystem" type="ClearanceSystem"/> <xsd:element minOccurs="0" name="definition" type="ProductReference"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/5)
clearanceSystem

  Type: | ClearanceSystem, simple content

  Identification of the clearance system associated with the transaction exchange.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="clearanceSystem" type="ClearanceSystem"/>

currency

  Type: | IdentifiedCurrency, simple content

  Trading currency of the underlyer when transacted as a cash instrument.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="currency" type="IdentifiedCurrency"/>

definition

  Type: | ProductReference, empty content

  An optional reference to a full FpML product that defines the simple product in greater detail. In case of inconsistency between the terms of the simple product and those of the detailed definition, the values in the simple product override those in the detailed definition.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="definition" type="ProductReference"/>

exchangeId

  Type: | ExchangeId, simple content

  Identification of the exchange on which this asset is transacted for the purposes of calculating a contractural payoff. The term "Exchange" is assumed to have the meaning as defined in the ISDA 2002 Equity Derivatives Definitions.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exchangeId" type="ExchangeId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.